
From: Andris Pavenis <pavenis@latnet.lv>

Fix http://bugzilla.kernel.org/show_bug.cgi?id=3736

Finally located that a problem seems to be a simple typo.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/char/tty_io.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/char/tty_io.c~bug-in-tty_ioc-after-changes-between-269-rc1-bk1-and-269-rc1-bk2 drivers/char/tty_io.c
--- 25/drivers/char/tty_io.c~bug-in-tty_ioc-after-changes-between-269-rc1-bk1-and-269-rc1-bk2	2005-01-25 21:13:34.954366160 -0800
+++ 25-akpm/drivers/char/tty_io.c	2005-01-25 21:13:49.033225848 -0800
@@ -1156,8 +1156,8 @@ static inline void pty_line_name(struct 
 	int i = index + driver->name_base;
 	/* ->name is initialized to "ttyp", but "tty" is expected */
 	sprintf(p, "%s%c%x",
-			driver->subtype == PTY_TYPE_SLAVE ? "tty" : driver->name,
-			ptychar[i >> 4 & 0xf], i & 0xf);
+		driver->subtype == PTY_TYPE_SLAVE ? "pty" : driver->name,
+		ptychar[i >> 4 & 0xf], i & 0xf);
 }
 
 static inline void tty_line_name(struct tty_driver *driver, int index, char *p)
_
